package ru.nbch.indicsearchservice.repository.bank;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import ru.nbch.indicsearchservice.model.LocalizationObject;

@Mapper
public interface LocalizationObjectMapper {
    List<LocalizationObject> findByCode(String code);

    List<LocalizationObject> findAllByCodes(@Param("codes") List<String> codes);

    void insert(LocalizationObject localization);

    void insertBatch(@Param("list") List<LocalizationObject> list);
}
